SDL_SaveFile_IO(3)

NAME
SDL_SaveFile_IO - Save all the data into an SDL data stream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_SaveFile_IO(SDL_IOStream *src, const void *data, size_t datasize, bool closeio);

FUNCTION PARAMETERS

src the SDL_IOStream to write all data to.

data
    the data to be written. If datasize is 0, may be NULL or a invalid pointer.

datasize
    the number of bytes to be written.

closeio
    if true, calls SDL_CloseIO() on src before returning, even in the case of an error.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SaveFile(3), SDL_LoadFile_IO(3)